<?php
include("CobaltUI.php");
unset($HTTP_GET_VARS["valset"]);
unset($HTTP_POST_VARS["valset"]);
$HTTP_POST_VARS["now"] = time();
$Ui = new CobaltUI( $sessionId, "base-ldap" );

$Ui->SetAction( array(
	'Action' => 'SET',
	'Target' => 'System',
	'Namespace' => 'LdapImport'
	));
$Ui->Handle();

/* This is an ugly way of grabbing data, but... */
$errors = $Ui->Errors;
for($i=0;$i<count($errors);$i++) {
	$error = $errors[$i];
	if (ereg("\[\[base-ldap\.logFilename,filename=(.*)\]\]", $error->getMessage(), $regs)) {
		/* found the filename! */
		$filename = $regs[1];
		$doStatus = true;
		array_splice($Ui->Errors, $i, 1);
	}
}

//if (!$HTTP_POST_VARS["_save"] && $Ui->CceClient->errors)
/*if (!$HTTP_POST_VARS["_save"]) {
  $Ui->Data = array();
} */

include("ServerScriptHelper.php");
$serverScriptHelper = new ServerScriptHelper();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-ldap");
$pageChanger = $factory->getMultiButton("[[base-import.importChanger]]",
        array("/base/import/import.php?valset=1",
        "/base/ldap/import.php?valset=1"),
        array("[[base-import.importChangerFile]]",
        "[[base-ldap.importChangerLdap]]"));
$serverScriptHelper->destructor();

if ($valset) {
	$pageChanger->setSelectedIndex(1);
}

if (!$doStatus) {
	$Ui->StartPage();
	//$Ui->SetAction(array(Action => "importStatus.php"));
	$Ui->StartBlock("ldapImport");
		$Ui->NetAddress("server");
		$Ui->TextField("base");
		$Ui->TextField("bindDn");
		$Ui->Password("passwordAuth");
		$Ui->TextField("userFilter", array("Optional" => true));
		$Ui->TextField("groupFilter", array("Optional" => true));
		$Ui->AddGenericButton($Ui->Page->getSubmitAction(), "import");
	//	$Ui->AddButtons();
		$Ui->Hidden("now"); // something to *touch*
		$Ui->AppendAfterHeaders($pageChanger->toHtml()."<BR><BR>");
	$Ui->EndBlock();
	$Ui->EndPage();
} else {
	/* throw the user to the status page */
	$Ui->Redirect( "importStatus.php?status=".rawurlencode($filename));
}	
?>

